#
# Cookbook:: pf_chef_app_dare
# Recipe:: mgmt_dev
#
# Copyright:: 2019, PubFactory, All Rights Reserved.

site_name = 'dare'
site_type = 'mgmt'
site_env  = 'dev'
service_name = "#{site_name}-#{site_type}-#{site_env}"
service_dir = "/var/lib/#{service_name}"
file_source_dir = "#{site_env}/#{site_type}"
source_dir = "/proj/source/#{site_name}-#{site_env}"
staticfiles_dir = "/proj/staticfiles/#{site_name}-#{site_env}"

pubfactory_mgmt service_name do
  http_port 10035
  https_port 10036
  newrelic_app_name 'DARE MGMT DEV'
  xmx '2g'
end

cookbook_file "#{service_dir}/shared/classes/admin.properties" do
  source "#{file_source_dir}/admin.properties"
  owner 'pubfactory'
  group 'pubfactory'
  mode '0644'
  force_unlink true
  manage_symlink_source false
end

# Cross definitions here, so just ensure that they exist, and don't worry about perms or such.
# This cookbook depends upon the existence of these folders, but absolutely does not own them.

directory source_dir
directory staticfiles_dir

directory "#{staticfiles_dir}/images" do
  owner 'pubfactory'
  group 'pubfactory'
  recursive true
  mode '0644'
  action :create
end

link "#{service_dir}/webapps/staticfiles" do
  to staticfiles_dir
end

[
  "#{service_dir}/.sass-cache",
  "#{service_dir}/null",
].each do |dir|
  directory dir do
    owner 'pubfactory'
    group 'pubfactory'
    mode '0755'
  end
end
