#
# Cookbook:: pf_chef_app_dare
# Recipe:: web_dev
#
# Copyright:: 2019, PubFactory, All Rights Reserved.

site_name = 'dare'
site_type = 'web'
site_env  = 'dev'
service_name = "#{site_name}-#{site_type}-#{site_env}"
service_dir = "/var/lib/#{service_name}"
staticfiles_dir = "/proj/staticfiles/#{site_name}-#{site_env}"

pubfactory_web service_name do
  http_port 10037
  https_port 10038
  newrelic_app_name 'DARE WEB DEV'
  xmx '2g'
end

remote_file "#{service_dir}/shared/classes/config-app.properties" do
  source 'https://raw.githubusercontent.com/pubfactory/pf-app-config/master/client/dare/dev/web/config-app.properties'
  use_last_modified false
  owner 'pubfactory'
  group 'pubfactory'
  mode '0644'
  headers('Authorization' => 'token 52366439f0b2c581081b39057878863ccd15116a')
  action :create
end

directory staticfiles_dir

link "#{service_dir}/webapps/staticfiles" do
  to staticfiles_dir
end

[
  "#{service_dir}/.sass-cache",
  "#{service_dir}/null",
].each do |dir|
  directory dir do
    owner 'pubfactory'
    group 'pubfactory'
    mode '0755'
  end
end
