#
# Cookbook:: pf_chef_app_dare
# Spec:: mgmt_dev
#
# Copyright:: 2019, PubFactory, All Rights Reserved.

require 'spec_helper'

describe 'pf_chef_app_dare::mgmt_dev' do
  context 'When all attributes are default, on Ubuntu 16.04' do
    platform 'ubuntu', '16.04'

    site_name = 'dare'
    site_type = 'mgmt'
    site_env  = 'dev'
    service_name = "#{site_name}-#{site_type}-#{site_env}"
    service_dir = "/var/lib/#{service_name}"
    staticfiles_dir = "/proj/staticfiles/#{site_name}-#{site_env}"
    source_dir = "/proj/source/#{site_name}-#{site_env}"

    it { expect { chef_run }.to_not raise_error }
    it { is_expected.to create_pubfactory_mgmt(service_name).with(http_port: 10035, https_port: 10036, newrelic_app_name: 'DARE MGMT DEV') }
    it { is_expected.to render_file("#{service_dir}/shared/classes/admin.properties").with_content('dare-dev') }
    it { is_expected.to create_directory(source_dir) }
    it { is_expected.to create_directory(staticfiles_dir) }
  end
end
