#
# Cookbook:: pf_chef_app_dare
# Spec:: web_dev
#
# Copyright:: 2019, PubFactory, All Rights Reserved.

require 'spec_helper'

describe 'pf_chef_app_dare::web_dev' do
  context 'When all attributes are default, on Ubuntu 16.04' do
    platform 'ubuntu', '16.04'

    site_name = 'dare'
    site_type = 'web'
    site_env  = 'dev'
    service_name = "#{site_name}-#{site_type}-#{site_env}"
    service_dir = "/var/lib/#{service_name}"
    staticfiles_dir = "/proj/staticfiles/#{site_name}-#{site_env}"

    it { expect { chef_run }.to_not raise_error }
    it { is_expected.to create_pubfactory_web(service_name).with(http_port: 10037, https_port: 10038, newrelic_app_name: 'DARE WEB DEV') }
    it { is_expected.to create_remote_file("#{service_dir}/shared/classes/config-app.properties") }
    it { is_expected.to create_directory(staticfiles_dir) }
    it { is_expected.to create_link("#{service_dir}/webapps/staticfiles").with(to: staticfiles_dir) }
    it { is_expected.to create_directory("#{service_dir}/.sass-cache") }
    it { is_expected.to create_directory("#{service_dir}/null") }
  end
end
