user 'pubfactory' do
  system true
end

package 'openjdk-8-jre-headless'

link '/usr/lib/jvm/default-java' do
  to 'java-8-openjdk-amd64'
end

hostsfile_entry '127.0.0.1' do
  hostname 'localhost'
  aliases %w(xml-lb amx-lb mysql-lb)
  action :create
end

haproxy_install 'source' do
  source_version '1.8.14'
end

cookbook_file '/etc/haproxy/haproxy.cfg' do
  source 'haproxy.cfg'
end

haproxy_service '1.8.x'

directory '/usr/share/apache-tomcat-7.0.92/bin/' do
  recursive true
end

file '/usr/share/apache-tomcat-7.0.92/bin/catalina.sh' do
  mode '0755'
end

package 'nfs-kernel-server'

directory '/proj/staticfiles' do
  owner 'pubfactory'
  group 'pubfactory'
  recursive true
  mode '0755'
end

directory '/proj/source' do
  owner 'pubfactory'
  group 'pubfactory'
  recursive true
  mode '0755'
end
