# # encoding: utf-8

# Inspec test for recipe pf_chef_app_dare::mgmt_dev

# The Inspec reference, with examples and extensive documentation, can be
# found at http://inspec.io/docs/reference/resources/

describe port(10035) do
  it { should be_listening }
end
describe port(10036) do
  it { should be_listening }
end
describe port(80) do
  it { should_not be_listening }
end
describe port(443) do
  it { should_not be_listening }
end
describe http('http://localhost:10035/login',
              auth: { user: 'dare', pass: 'dare2016' },
              headers: { 'Host' => 'http://dare-mgmt.dev.pubfactory.com/' }) do
  its('status') { should eq 200 }
  its('body') { should match %r{<title>Login : PubFactory\n\t\t\t\tManagement Portal</title>} }
  its('headers.Server') { should eq 'Apache-Coyote/1.1' }
end
