# # encoding: utf-8

# Inspec test for recipe pf_chef_app_dare::web_dev

# The Inspec reference, with examples and extensive documentation, can be
# found at http://inspec.io/docs/reference/resources/

describe port(10037) do
  it { should be_listening }
end
describe port(10038) do
  it { should be_listening }
end
describe port(80) do
  it { should_not be_listening }
end
describe port(443) do
  it { should_not be_listening }
end
describe http('http://localhost:10037/',
              auth: { user: 'dare', pass: 'dare2016' },
              headers: { 'Host' => 'dare.dev.pubfactory.com' }) do
  its('status') { should eq 200 }
  its('body') { should match %r{<title>Home </title>} }
  its('headers.Server') { should eq 'Apache-Coyote/1.1' }
end
